Get Conversation
curl --request GET \
--url https://api.vizochok.com/api/v1/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vizochok.com/api/v1/conversations/{conversation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vizochok.com/api/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"user_id": "<string>",
"store_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"conversation_history": [],
"selected_items": [],
"token_usage": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Conversations
Get Conversation
Get full conversation details by ID.
GET
/
api
/
v1
/
conversations
/
{conversation_id}
Get Conversation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Unique conversation identifier
Identifier of the user who started this conversation
Store identifier associated with this conversation
Timestamp when the conversation was created (ISO 8601)
Timestamp of the last message in this conversation (ISO 8601)
Full list of messages in the conversation
Products added to cart during this conversation
Token usage breakdown for this conversation